Bug 484585 - pysollib/gamedb.py breaks interactive Python's help
pysollib/gamedb.py breaks interactive Python's help
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PySolFC (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 13:36 EST by Andy Shevchenko
Modified: 2009-06-10 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 22:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2009-02-08 13:36:30 EST
Description of problem:
The Python's interactive help (could be executed by help() in the interpreter) contains 'modules' command which gathers information about installed modules. The gamedb.py breaks this interactive command.

Version-Release number of selected component (if applicable):
Last official release.

How reproducible:

[andy@dhcppc38 ~]$ python                        
Python 2.5.1 (r251:54863, Jun 15 2008, 18:24:51) 
[GCC 4.3.0 20080428 (Red Hat 4.3.0-8)] on linux2 
Type "help", "copyright", "credits" or "license" for more information.
>>> help()                                                              

Welcome to Python 2.5!  This is the online help utility.

If this is your first time using Python, you should definitely check out
the tutorial on the Internet at http://www.python.org/doc/tut/.         

Enter the name of any module, keyword, or topic to get help on writing
Python programs and using Python modules.  To quit this help utility and
return to the interpreter, just type "quit".                            

To get a list of available modules, keywords, or topics, type "modules",
"keywords", or "topics".  Each module also comes with a one-line summary
of what it does; to list the modules whose summaries contain a given word
such as "spam", type "modules spam".
help> modules

Please wait a moment while I gather a list of all available modules...

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site.py", line 346, in __call__
    return pydoc.help(*args, **kwds)
  File "/usr/lib/python2.5/pydoc.py", line 1646, in __call__
    self.interact()
  File "/usr/lib/python2.5/pydoc.py", line 1664, in interact
    self.help(request)
  File "/usr/lib/python2.5/pydoc.py", line 1680, in help
    elif request == 'modules': self.listmodules()
  File "/usr/lib/python2.5/pydoc.py", line 1801, in listmodules
    ModuleScanner().run(callback)
  File "/usr/lib/python2.5/pydoc.py", line 1852, in run
    for importer, modname, ispkg in pkgutil.walk_packages():
  File "/usr/lib/python2.5/pkgutil.py", line 125, in walk_packages
    for item in walk_packages(path, name+'.', onerror):
  File "/usr/lib/python2.5/pkgutil.py", line 110, in walk_packages
    __import__(name)
  File "/usr/lib/python2.5/site-packages/pysollib/games/__init__.py", line 1, in <module>
    import acesup
  File "/usr/lib/python2.5/site-packages/pysollib/games/acesup.py", line 38, in <module>
    from pysollib.gamedb import registerGame, GameInfo, GI
  File "/usr/lib/python2.5/site-packages/pysollib/gamedb.py", line 51, in <module>
    class GI:
  File "/usr/lib/python2.5/site-packages/pysollib/gamedb.py", line 120, in GI
    GT_BAKERS_DOZEN:        n_("Baker's Dozen"),
NameError: name 'n_' is not defined



Expected results:
Normal behaviour instead of traceback

Additional info:
It is necessary to check in F-10 and rawhide as well.
Comment 1 Andy Shevchenko 2009-02-08 13:43:55 EST
Additionally file pysollib/tile/tkconst.py provokes same problem.

My workarround is to add to both files following import:
from settings import n_
Comment 2 Stewart Adam 2009-02-21 14:22:02 EST
I took a quick look at this today, there's a bunch of problems with the pysol files (n_ and _ are not imported correctly). I don't have the time to look at this right now, but I'll try to investigate more in a week or two. In the mean time, any patches are welcome.
Comment 3 Bug Zapper 2009-06-09 23:32:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stewart Adam 2009-06-10 22:20:21 EDT
As noted on the upstream report, this is a bug in python 2.5.

Note You need to log in before you can comment on or make changes to this bug.